> ## Documentation Index
> Fetch the complete documentation index at: https://gaia-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool

> Retrieves a specific tool by ID

## Path Parameters

<ParamField path="id" type="string" required>
  Tool ID
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Indicates if the operation was successful
</ResponseField>

<ResponseField name="tool" type="object | null">
  Tool object or null if not found
</ResponseField>

<ResponseField name="message" type="string">
  Response message
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.yourapp.com/api/tools/tool_123 \
    --header 'Authorization: Bearer <token>'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.yourapp.com/api/tools/tool_123', {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer <token>'
    }
  });

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.yourapp.com/api/tools/tool_123"
  headers = {
      "Authorization": "Bearer <token>"
  }

  response = requests.get(url, headers=headers)
  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "tool": {
      "id": "tool_123",
      "projectId": "proj_123",
      "name": "Data Validator",
      "description": "Validates input data",
      "language": "javascript",
      "dependencies": ["lodash", "validator"],
      "code": "function validate(data) { return true; }",
      "enabled": true,
      "createdAt": "2024-01-15T10:30:00Z",
      "updatedAt": "2024-01-15T10:30:00Z"
    },
    "message": "Tool retrieved successfully"
  }
  ```

  ```json Not Found Response theme={null}
  {
    "success": false,
    "tool": null,
    "message": "Tool not found"
  }
  ```

  ```json Error Response theme={null}
  {
    "success": false,
    "message": "Unauthorized"
  }
  ```
</ResponseExample>
